Package org.opencv.cv3d

## Class TriangleRasterizeSettings

- java.lang.Object
- - org.opencv.cv3d.TriangleRasterizeSettings

-     public class TriangleRasterizeSettings
      extends java.lang.Object

  Structure to keep settings for rasterization

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TriangleRasterizeSettings​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TriangleRasterizeSettings` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `long` | `getNativeObjAddr()` |
    `TriangleRasterizeSettings` | `setCullingMode​(int cm)` |
    `TriangleRasterizeSettings` | `setGlCompatibleMode​(int gm)` |
    `TriangleRasterizeSettings` | `setShadingType​(int st)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### TriangleRasterizeSettings

          protected TriangleRasterizeSettings​(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static TriangleRasterizeSettings __fromPtr__​(long addr)

    - #### setShadingType

          public TriangleRasterizeSettings setShadingType​(int st)

    - #### setCullingMode

          public TriangleRasterizeSettings setCullingMode​(int cm)

    - #### setGlCompatibleMode

          public TriangleRasterizeSettings setGlCompatibleMode​(int gm)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`